TurboCAD Forums

Turbo Talk => Problems => Topic started by: Chris Bryant on April 17, 2018, 06:32:55 PM

Title: Gates no longer allows w7 or w8 updates with new chips, so will v15 still work?
Post by: Chris Bryant on April 17, 2018, 06:32:55 PM
I am running v15 with w7.  I'm back on the forum to check out how it's running with w10, and it doesn't sound good after reading many a post's.  I need to know if anyone thinks v15 will be ok with w10.  Just a word of advice, don't buy a new computer that is using any of the new chips, such as the Intel 7700 like I did.  Gate$ no longer will allow ANY updates of any kind if you are using w7 or w8 (it's the best kept secret since Hillary's emails}.  He stops your updates about 2 to 3 months into use and this ridiculous popup reminds you, constantly, that you are running outdated software that is no longer serviced by MS.  After a year of this constant reminder and no updates, I'm starting to have all sorts of problems, such as my Logitech G11 going Looney tunes, not being able to use most of the options on my Xerox $3,500. printer, and all sorts of little TC glitches, such as deleted items coming back for no reason, changing my custom keyboard F keys layout, changing my units format from Architectural to Decimal out of nowhere, not printing correctly, etc..  Most problems in v15 are being caused, from what I've read so far, from TC users having w10, mine are being caused because I don't have it.  I was hoping that the forum would have great news for me and tell me that w10 is the best darn software on the market and it works great with all versions of TC.

Ok, so, I may be hallucinating a bit, I do live in Colorado, but looks like I'll be going back to my old computer and staying with w7 and TC v15 and hope it can get me through to retirement, unless one of you can talk me out of it and talk me into buying w10.

I've been using TC ever since it came out in the 80's but have never liked the 2d upgrades in the later editions, I have v20 but don't' use it.  This forum is what has kept me as a "believer" in the "giant slaying" (giant being AD) TC. 

"If you like your TC version, you can keep your TC version."  Well, lets hope so.
Title: Re: Gates no longer allows w7 or w8 updates with new chips, so will v15 still work?
Post by: murray dickinson on April 18, 2018, 07:01:27 AM
Not 15, but I have V17 on a couple of Win 10 PCs, no problems.  I haven't specified run as admin or any other UAC to install, nothing bit me. 
Title: Re: Gates no longer allows w7 or w8 updates with new chips, so will v15 still work?
Post by: Jeffin90620 on May 10, 2018, 05:46:58 AM
My V15 just stopped working with 32-bit Windows 7.  I uninstalled & re-installed, with increasing diligence for clearing out the Registry and other areas, but it just would not work.

Very odd.

I ended up building a new computer with 64-bit Windows 7 and TurboCAD 21.


Jeff
Title: Re: Gates no longer allows w7 or w8 updates with new chips, so will v15 still work?
Post by: Chris Bryant on June 01, 2018, 03:55:12 PM
Well, I've given up, tossed in the towel, kissed my derriere goodbye, given into the dark side, chucked the wayward side to the sea.  I just revitalized my old computer and have decided to use v15.2 TC with my old set up as long as I can, which according to the almighty Billy G, will be until January of 2020.  I just can't take this crap anymore.  W7 is not working when using a new computer with the Intel 7700 chips.  Gates has made using v15 unusable with my Logitech G11 keyboard.  I'm happy to report that all is well in turboCad land at my house since I went back to the slow....uh.....dark side.  Not sure where this puts me in 2020, maybe an old folks home.